<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\Migrations\Ticket;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

final class Version20250620164517 extends AbstractMigration
{
    public function getDescription(): string
    {
        return 'Add makeTicketEmergency field to Motive entity to allow automatic emergency status changes when a motive is associated with a ticket';
    }

    public function up(Schema $schema): void
    {
        $this->addSql(<<<'SQL'
            ALTER TABLE chill_ticket.motive ADD makeTicketEmergency VARCHAR(255) DEFAULT NULL
        SQL);
    }

    public function down(Schema $schema): void
    {
        $this->addSql(<<<'SQL'
            ALTER TABLE chill_ticket.motive DROP makeTicketEmergency
        SQL);
    }
}
